<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>
  <CORE_PARTY PARTY_ID="-777"/>
  <CORE_USER PARTY_ID="-777" CREATED_ON="2020-04-15" CREATED_BY="dbu" LOGIN="JP01" LAST_NAME="Paul" ACTIVE="true"/>
  <CORE_PARTY PARTY_ID="-778"/>
  <CORE_USER PARTY_ID="-778" CREATED_ON="2020-04-15" CREATED_BY="dbu" LOGIN="JP02" FIRST_NAME="Jean-Paul"
             LAST_NAME="Sartre" ACTIVE="false"/>

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-555"/>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-988"/>
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-1"/>
  <PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-555" CREATED_ON="2012-02-01" CREATED_BY="DBU" NAME="pro" CL_ID="-1"/>

  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-2"/>
  <PROJECT PROJECT_ID="-2" ATTACHMENT_LIST_ID="-555" CREATED_ON="2021-01-04" CREATED_BY="DBU" NAME="Project 2" CL_ID="-2"/>

  <!-- parent folder -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-123"/>
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-1" NAME="a folder"
                         CREATED_ON="2010-02-01" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-123" PROJECT_ID="-1"/>
  <CAMPAIGN_FOLDER CLN_ID="-1"/>

  <!-- folder content -->
  <!-- source -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-10"/>
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-10" NAME="foo"
                         CREATED_ON="2010-02-01" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-10" PROJECT_ID="-1"/>
  <CAMPAIGN CLN_ID="-10" ACTUAL_START_AUTO="TRUE"
            ACTUAL_END_AUTO="TRUE"/>
  <CLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-10" CONTENT_ORDER="0"/>
  <!-- target -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-11"/>
  <CAMPAIGN_LIBRARY_NODE CLN_ID="-11" NAME="bar"
                         CREATED_ON="2010-02-02" CREATED_BY="gte" ATTACHMENT_LIST_ID="-11" PROJECT_ID="-1"/>
  <CAMPAIGN CLN_ID="-11" ACTUAL_START_AUTO="FALSE"
            ACTUAL_END_AUTO="TRUE"/>
  <CLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-11" CONTENT_ORDER="1"/>

  <!-- campaign library -->
  <CAMPAIGN_LIBRARY_CONTENT LIBRARY_ID="-1"
                            CONTENT_ID="-1" CONTENT_ORDER="0"/>

  <!-- Testcase -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="test case 1"
                          CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1"/>
  <TEST_CASE REFERENCE="REF" PREREQUISITE="" TCLN_ID="-1" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa9"
             EXECUTION_MODE="AUTOMATED" IMPORTANCE="VERY_HIGH"/>

  <TEST_CASE_LIBRARY_NODE TCLN_ID="-3" NAME="test case from project 2"
                          CREATED_BY="DBU" CREATED_ON="2010-02-01" ATTACHMENT_LIST_ID="-1" PROJECT_ID="-2"/>
  <TEST_CASE REFERENCE="REFERENCE 2" PREREQUISITE="" TCLN_ID="-3" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa6"
             EXECUTION_MODE="MANUAL" IMPORTANCE="VERY_HIGH"/>

  <!-- Teststeps -->
  <TEST_STEP TEST_STEP_ID="-1"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-1" STEP_ORDER="0"/>

  <TEST_STEP TEST_STEP_ID="-2"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-2" STEP_ORDER="1"/>

  <TEST_STEP TEST_STEP_ID="-3"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-3" STEP_ORDER="2"/>

  <!-- Milestones on test case 1-->
  <MILESTONE MILESTONE_ID="-1" LABEL="M1" STATUS="FINISHED" USER_ID="-777" M_RANGE="GLOBAL" END_DATE="2010-02-01"
             CREATED_BY="dbu" CREATED_ON="2020-05-13"/>
  <MILESTONE MILESTONE_ID="-3" LABEL="M3" STATUS="LOCKED" USER_ID="-777" M_RANGE="RESTRICTED" END_DATE="2015-02-01"
             CREATED_BY="dbu" CREATED_ON="2020-05-13"/>
  <MILESTONE MILESTONE_ID="-2" LABEL="M2" STATUS="PLANNED" USER_ID="-777" M_RANGE="GLOBAL" END_DATE="2020-02-01"
             CREATED_BY="dbu" CREATED_ON="2020-05-13"/>
  <MILESTONE_TEST_CASE MILESTONE_ID="-1" TEST_CASE_ID="-1"/>
  <MILESTONE_TEST_CASE MILESTONE_ID="-2" TEST_CASE_ID="-1"/>
  <MILESTONE_TEST_CASE MILESTONE_ID="-3" TEST_CASE_ID="-1"/>

  <!-- iteration 1 -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-12"/>
  <ITERATION NAME="iter - tc1" ITERATION_ID="-10012" REFERENCE="azerty"
             ACTUAL_END_AUTO="FALSE" ACTUAL_START_AUTO="FALSE" ACTUAL_START_DATE="2011-01-01"
             ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-01"
             SCHEDULED_END_DATE="2011-01-02" CREATED_BY="DBU" CREATED_ON="2010-02-01"
             UUID="44d63d7e-11dd-44b0-b584-565b6f798fa9"
             ATTACHMENT_LIST_ID="-12"/>
  <CAMPAIGN_ITERATION CAMPAIGN_ID="-10" ITERATION_ID="-10012"
                      ITERATION_ORDER="0"/>

  <DATASET DATASET_ID="-1" TEST_CASE_ID="-1" NAME="Dataset1"/>
  <DATASET DATASET_ID="-2" TEST_CASE_ID="-1" NAME="Dataset2"/>

  <!-- TEST PLAN OF ITERATION 1 -->
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1" EXECUTION_STATUS="SUCCESS" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01" DATASET_ID="-1" LAST_EXECUTED_ON="2020-04-03 09:32:35.0"
                            USER_ID="-777"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2" EXECUTION_STATUS="FAILURE" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01" DATASET_ID="-2" USER_ID="-778"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-3" EXECUTION_STATUS="BLOCKED" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01" LAST_EXECUTED_ON="2020-08-03 09:32:35.0"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-4" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-5" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-6" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-7" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-8" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-9" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-10" EXECUTION_STATUS="READY" TCLN_ID="-1" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-11" EXECUTION_STATUS="READY" TCLN_ID="-2" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-12" EXECUTION_STATUS="READY" TCLN_ID="-3" CREATED_BY="DBU"
                            CREATED_ON="2011-01-01"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="1"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-3" ITEM_TEST_PLAN_ORDER="2"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-4" ITEM_TEST_PLAN_ORDER="3"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-5" ITEM_TEST_PLAN_ORDER="4"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-6" ITEM_TEST_PLAN_ORDER="5"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-7" ITEM_TEST_PLAN_ORDER="6"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-8" ITEM_TEST_PLAN_ORDER="7"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-9" ITEM_TEST_PLAN_ORDER="8"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-10" ITEM_TEST_PLAN_ORDER="9"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-11" ITEM_TEST_PLAN_ORDER="10"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-10012" ITEM_TEST_PLAN_ID="-12" ITEM_TEST_PLAN_ORDER="11"/>

  <!-- test suites iteration 1 -->
  <TEST_SUITE NAME="Suite1" ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_BY="DBU" CREATED_ON="2020-04-03"
              UUID="44d63d7e-11dd-54b0-b584-565b6f798ra9"/>
  <TEST_SUITE NAME="Suite2" ID="-2" ATTACHMENT_LIST_ID="-1" CREATED_BY="DBU" CREATED_ON="2020-04-03"
              UUID="44d73d7e-11dd-44b0-b584-565b6f798ra9"/>

  <TEST_SUITE_TEST_PLAN_ITEM TPI_ID="-1" SUITE_ID="-1" TEST_PLAN_ORDER="0"/>
  <TEST_SUITE_TEST_PLAN_ITEM TPI_ID="-1" SUITE_ID="-2" TEST_PLAN_ORDER="1"/>

  <ITERATION_TEST_SUITE ITERATION_ID="-10012" TEST_SUITE_ID="-1" ITERATION_TEST_SUITE_ORDER="0"/>
  <ITERATION_TEST_SUITE ITERATION_ID="-10012" TEST_SUITE_ID="-2" ITERATION_TEST_SUITE_ORDER="1"/>
  <!-- execution iteration 1 - itp 1 -->
  <EXECUTION EXECUTION_ID="-2" CREATED_BY="DBU" CREATED_ON="2020-04-03" NAME="Exec 2" PREREQUISITE=""/>
  <ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-1" EXECUTION_ID="-2" EXECUTION_ORDER="0"/>

  <EXECUTION EXECUTION_ID="-1" CREATED_BY="DBU" CREATED_ON="2020-04-03" NAME="Exec 1" PREREQUISITE=""/>
  <ITEM_TEST_PLAN_EXECUTION ITEM_TEST_PLAN_ID="-1" EXECUTION_ID="-1" EXECUTION_ORDER="1"/>

  <EXECUTION_STEP EXECUTION_STEP_ID="-1" ACTION="" CREATED_BY="DBU" CREATED_ON="2020-04-03" EXECUTION_STATUS="SUCCESS"/>
  <EXECUTION_EXECUTION_STEPS EXECUTION_ID="-1" EXECUTION_STEP_ID="-1" EXECUTION_STEP_ORDER="0"/>

  <EXECUTION_STEP EXECUTION_STEP_ID="-2" ACTION="" CREATED_BY="DBU" CREATED_ON="2020-04-03" EXECUTION_STATUS="SUCCESS"/>
  <EXECUTION_EXECUTION_STEPS EXECUTION_ID="-1" EXECUTION_STEP_ID="-2" EXECUTION_STEP_ORDER="1"/>

  <EXECUTION_STEP EXECUTION_STEP_ID="-3" ACTION="" CREATED_BY="DBU" CREATED_ON="2020-04-03" EXECUTION_STATUS="FAILURE"/>
  <EXECUTION_EXECUTION_STEPS EXECUTION_ID="-1" EXECUTION_STEP_ID="-3" EXECUTION_STEP_ORDER="2"/>

  <!-- iteration 2 -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-13"/>
  <ITERATION NAME="iter - tc1 -2" ITERATION_ID="-2"
             ACTUAL_END_AUTO="TRUE" ACTUAL_START_AUTO="TRUE" ACTUAL_START_DATE="2011-01-01"
             ACTUAL_END_DATE="2011-01-02" SCHEDULED_START_DATE="2011-01-02"
             SCHEDULED_END_DATE="2012-01-02" CREATED_BY="DBU" CREATED_ON="2010-02-08"
             UUID="44d63d7e-11dd-44b0-b584-565b6f798ra9"
             ATTACHMENT_LIST_ID="-13"/>

  <!-- Testcase for iteration 2 -->
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2"/>
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-2" NAME="test case 2"
                          CREATED_BY="DBU" CREATED_ON="2020-04-03" ATTACHMENT_LIST_ID="-2" PROJECT_ID="-1"/>
  <TEST_CASE REFERENCE="REF" PREREQUISITE="" TCLN_ID="-2" UUID="44d63d7e-11dd-44b0-b584-565b6f791fb9"
             EXECUTION_MODE="MANUAL" IMPORTANCE="VERY_HIGH"/>


  <!-- test plan of iteration 2 -->
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-20"
                            EXECUTION_STATUS="SUCCESS" TCLN_ID="-2" CREATED_BY="DBU" CREATED_ON="2011-01-01"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-2"
                       ITEM_TEST_PLAN_ID="-20" ITEM_TEST_PLAN_ORDER="0"/>
  <CAMPAIGN_ITERATION CAMPAIGN_ID="-10" ITERATION_ID="-2"
                      ITERATION_ORDER="1"/>



  <CORE_USER/>
  <CORE_PARTY/>
  <CORE_GROUP_MEMBER/>

</dataset>
